import 'dart:ui';

import 'package:screen_breakpoints/screen_breakpoints.dart';

const supportedLocales = [Locale('de')];
const currentLocale = Locale('de');

/// configure the used breakpoints. Currently only sm is handled separately
const BreakpointConfiguration myBreakpoints = BreakpointConfiguration(
  xs: Breakpoint(
    breakpoint: 0,
    width: double.infinity,
    margin: 16,
    padding: 0,
    columns: 4,
  ),
  sm: Breakpoint(
    breakpoint: 320,
    width: double.infinity,
    margin: 10,
    padding: 10,
    columns: 8,
  ),
  md: Breakpoint(
    breakpoint: 905,
    width: 840,
    margin: null,
    padding: 0,
    columns: 12,
  ),
  lg: Breakpoint(
    breakpoint: 1240,
    width: 1152,
    margin: 0,
    padding: 0,
    columns: 12,
  ),
  xl: Breakpoint(
    breakpoint: 1440,
    width: 1152,
    margin: null,
    padding: 0,
    columns: 12,
  ),
  xxl: null,
);

const baserowToken = 'TFxO7vzBLVRCu9I3VMoHmTuCvSu8aCDi';
const baserowIds = {
  "measure": 328253,
  "measure_general": 396946,
  "measure_details": 342622,
  "measure_types": 328253,
  "measure_types_details": 328188,
  "measure_combination": 328217,
  "organism": 328255,
  "funding_program": 328256,
  "reference_implementation_general": 328465,
  "reference_implementation_detail": 388324,
  "evaluation": 400801,
  "business": 328472,
  "experience_report": 330802,
  "approval_requirement": 330806,
  "service_provider": 330824,
  "contact_person": 330832,
  "material": 330836,
  "source": 334231,
};
