import 'package:ambito/src/entity/entities.dart';
import 'package:isar/isar.dart';
import 'package:json_annotation/json_annotation.dart';

part 'business.g.dart';

@JsonSerializable(explicitToJson: true)
@collection
class Business extends BaseEntity with EntityWithId {
  Business();

  @JsonKey(name: 'Modellbetrieb')
  @Index()
  String? name;

  @JsonKey(name: 'Ursprungsgebiet')
  IdValueColor? areaOfOrigin;
  @JsonKey(name: 'Ansprechpartner')
  String? businessOwner;
  @JsonKey(name: 'Feld 6')
  String? businessEmail;
  @JsonKey(name: 'Feld 7')
  String? businessPhone;
  @JsonKey(name: 'Feld 8')
  String? contactName;
  @JsonKey(name: 'Feld 9')
  String? contactPosition;
  @JsonKey(name: 'Feld 10')
  String? contactEmail;
  @JsonKey(name: 'Feld 11')
  String? contactPhone;
  @JsonKey(name: 'Feld 12')
  String? contact2Name;
  @JsonKey(name: 'Feld 13')
  String? contact2Position;
  @JsonKey(name: 'Feld 14')
  String? contact2Email;
  @JsonKey(name: 'Feld 15')
  String? contact2Phone;
  @JsonKey(name: 'Feld 16')
  String? contact3Name;
  @JsonKey(name: 'Feld 17')
  String? contact3Email;
  @JsonKey(name: 'Feld 18')
  String? addressComplete;
  @JsonKey(name: 'Feld 19')
  String? addressStreet;
  @JsonKey(name: 'Feld 20')
  String? addressPostalCode;
  @JsonKey(name: 'Feld 21')
  String? addressCity;
  @JsonKey(name: 'Feld 22')
  String? addressRegion;
  @JsonKey(name: 'Feld 23')
  String? addressFederalState;
  @JsonKey(name: 'Feld 24')
  String? unknown;
  @JsonKey(name: 'Feld 25')
  String? businessType;
  @JsonKey(name: 'Region')
  String? region;
  @JsonKey(name: 'Umgesetze_Maßnahmen')
  List<IdValueColor>? measures;
  @JsonKey(name: '05 Referenzumsetzung')
  List<IdValueColor>? referenceImplementation;
  @JsonKey(name: '07 Erfahrungsbericht Umsetuzung')
  List<IdValueColor>? experienceReport;

  factory Business.fromJson(Map<String, dynamic> json) =>
      _$BusinessFromJson(json);

  Map<String, dynamic> toJson() => _$BusinessToJson(this);
}
