import 'package:flutter/material.dart';
import 'package:flutter_linkify/flutter_linkify.dart';
import 'package:linkify/linkify.dart';

import '../../../../entity/entities.dart';
import '../../../../packages/ambito_theme/ambito_theme.dart';
import '_sidebar_card.dart';

class AdvisorCard extends StatelessWidget {
  const AdvisorCard({super.key, required this.massnahme});

  final MeasureTypes massnahme;

  @override
  Widget build(BuildContext context) {
    final AmbitoTheme theme = getTheme(context);

    return SideBarCard(
      massnahme: massnahme,
      title: 'page.actionDetailPage.advisor.title',
      content: [
        Text(
          'Max Mustermann',
          style: theme.currentThemeData.textTheme.bodyLarge
              ?.copyWith(fontWeight: FontWeight.bold),
        ),
        Linkify(
          text: 'EMail: max@mustermann.de',
          style: theme.currentThemeData.textTheme.bodyLarge,
          linkifiers: const [
            EmailLinkifier(),
          ],
        ),
        Linkify(
          text: 'Tel: +4917666554433',
          style: theme.currentThemeData.textTheme.bodyLarge,
          linkifiers: const [
            PhoneNumberLinkifier(),
          ],
        ),
      ],
    );
  }
}
