import 'package:ambito/src/extensions/extensions.dart';
import 'package:flutter/material.dart';

import '../../../../entity/entities.dart';
import '../../../../packages/ambito_theme/ambito_theme.dart';

class FundingCard extends StatelessWidget {
  const FundingCard({super.key, required this.massnahme});

  final MeasureTypes massnahme;

  @override
  Widget build(BuildContext context) {
    final AmbitoTheme theme = getTheme(context);

    return SizedBox(
      width: double.infinity,
      child: Card(
        shape: RoundedRectangleBorder(
          borderRadius: BorderRadius.circular(0),
        ),
        elevation: 0,
        color: theme.currentColorScheme.secondary,
        child: Padding(
          padding: const EdgeInsets.all(16),
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              Text(
                context.translate('page.actionDetailPage.funding.title'),
                style: theme.currentThemeData.textTheme.titleMedium,
              ),
              theme.verticalSpacer,
            ],
          ),
        ),
      ),
    );
  }
}
