import 'package:ambito/src/extensions/extensions.dart';
import 'package:flutter/material.dart';

import '../../../../entity/entities.dart';
import '../../../../packages/ambito_theme/ambito_theme.dart';
import '_main_card.dart';

class ImplementationCard extends StatelessWidget {
  const ImplementationCard({super.key, required this.massnahme});

  final MeasureTypes massnahme;

  @override
  Widget build(BuildContext context) {
    final AmbitoTheme theme = getTheme(context);

    return MainCard(
      massnahme: massnahme,
      title: 'page.actionDetailPage.implementation.title',
      content: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          if (massnahme.applyCosts != null && massnahme.applyCosts != '')
            Text(
              context.translate('page.actionDetailPage.implementation.costs'),
              style: theme.currentThemeData.textTheme.labelMedium,
            ),
          if (massnahme.applyCosts != null && massnahme.applyCosts != '')
            Text(
              massnahme.applyCosts.toString(),
              style: theme.currentThemeData.textTheme.bodyLarge,
            ),
          if (massnahme.applyCosts != null &&
              massnahme.applyCosts != '' &&
              massnahme.applyTime != null &&
              massnahme.applyTime != '')
            const Divider(),
          if (massnahme.applyTime != null && massnahme.applyTime != '')
            Text(
              context.translate('page.actionDetailPage.implementation.time'),
              style: theme.currentThemeData.textTheme.labelMedium,
            ),
          if (massnahme.applyTime != null && massnahme.applyTime != '')
            Text(
              massnahme.applyTime.toString(),
              style: theme.currentThemeData.textTheme.bodyLarge,
            ),
        ],
      ),
    );
  }
}
