import 'package:flutter/material.dart';
import 'package:flutter_rating/flutter_rating.dart';

import '../../../../entity/entities.dart';
import '../../../../packages/ambito_theme/ambito_theme.dart';
import '_sidebar_card.dart';

class ReviewCard extends StatelessWidget {
  const ReviewCard({super.key, required this.massnahme});

  final MeasureTypes massnahme;

  @override
  Widget build(BuildContext context) {
    final AmbitoTheme theme = getTheme(context);

    return SideBarCard(
      massnahme: massnahme,
      title: 'page.actionDetailPage.review.title',
      content: [
        StarRating(
          mainAxisAlignment: MainAxisAlignment.start,
          size: 24,
          allowHalfRating: true,
          rating: 3.5,
          filledIcon: Icons.star,
          halfFilledIcon: Icons.star_half,
          emptyIcon: Icons.star_border_outlined,
          color:
              Colors.yellow.shade800, // Color for filled and half-filled icons
          borderColor: Colors.yellow.shade800, // Color for empty icons
          onRatingChanged: null,
        ),
        theme.verticalSpacerSmall,
        Text(
          '21 Bewertungen',
          style: theme.bodySmall,
        ),
        theme.verticalSpacer,
        Text(
          '"Sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam"',
          style: theme.bodyLarge.copyWith(fontWeight: FontWeight.bold),
        ),
        Text(
          'Maxi Mustermann',
          style: theme.bodyLarge.copyWith(fontWeight: FontWeight.bold),
        ),
        theme.verticalSpacer,
        Text(
          '"Lorem ipsum dolor sit amet, consetetur sadipscing elitr"',
          style: theme.bodyLarge.copyWith(fontWeight: FontWeight.bold),
        ),
        Text(
          'Peter Parker',
          style: theme.bodyLarge.copyWith(fontWeight: FontWeight.bold),
        ),
      ],
    );
  }
}
