import 'package:flutter/material.dart';
import 'package:super_bullet_list/bullet_list.dart';

import '../../../../entity/entities.dart';
import '../../../../packages/ambito_theme/ambito_theme.dart';
import '_sidebar_card.dart';

class TocCard extends StatelessWidget {
  const TocCard({super.key, required this.massnahme, required this.items});

  final MeasureTypes massnahme;
  final List<String> items;

  @override
  Widget build(BuildContext context) {
    final AmbitoTheme theme = getTheme(context);

    return SideBarCard(
      massnahme: massnahme,
      title: 'page.actionDetailPage.toc.title',
      content: [
        SuperBulletList(
          gap: 2,
          crossAxisMargin: 2,
          iconSize: 24,
          isOrdered: true,
          items: items
              .map((item) => Text(
                    item,
                    style: theme.bodyLarge,
                  ))
              .toList(),
        ),
      ],
    );
  }
}
